# Generated from rancher-api-beta-0.8.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rancher-api-beta

Name: rubygem-%{gem_name}
Version: 0.8.1
Release: 1%{?dist}
Summary: Easily connect to Rancher v2-beta API!
License: MIT
URL: https://gitlab.com/kloeckner-i/rancher-api-beta
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rest-client)
# BuildRequires: rubygem(activesupport)
# BuildRequires: rubygem(rspec) >= 3.6.0
# BuildRequires: rubygem(rspec) < 3.7
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(webmock) >= 3.0.1
# BuildRequires: rubygem(webmock) < 3.1
# BuildRequires: rubygem(vcr) >= 3.0.3
# BuildRequires: rubygem(vcr) < 3.1
# BuildRequires: rubygem(awesome_print)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(httplog)
# BuildRequires: rubygem(rubocop)
BuildArch: noarch

%description
Ruby gem to easily connect to Rancher v2-beta API. Via this gem you can do
anything that v2-beta API lets you do.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%{gem_instdir}/.simplecov
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/circle.yml
%{gem_libdir}
%{gem_instdir}/scripts
%{gem_instdir}/templates
%{gem_instdir}/vagrant-rancher
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/rancher-api-beta.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.8.1-1
- Initial package
